Package com.xebialabs.deployit.plugin.overthere

# Class Host

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.deployit.plugin.api.udm.base.BaseContainer
com.xebialabs.deployit.plugin.overthere.Host

All Implemented Interfaces:
  `StagingTarget`, `ConfigurationItem`, `Container`, `Taggable`, `HostContainer`, `Serializable`, `Comparable<BaseConfigurationItem>`

@Metadata(root=INFRASTRUCTURE, virtual=true, description="Machine that runs middleware, on which scripts can be executed, etc.") @TypeIcon("icons/types/overthere.Host.svg") public class Host extends BaseContainer implements HostContainer, StagingTarget
A machine that runs middleware.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `Host.ConnectionOptionsBuilder`

- ## Field Summary

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.Taggable

  `TAGS_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Host()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `com.xebialabs.overthere.OverthereConnection`
  `getConnection()`
  `Host`
  `getHost()`
  `com.xebialabs.overthere.OperatingSystemFamily`
  `getOs()`
  `com.xebialabs.xlplatform.satellite.Satellite`
  `getSatellite()`
  `String`
  `getShell()`
  `String`
  `getStagingDirectoryPath()`
  `String`
  `getTemporaryDirectoryPath()`
  `void`
  `setOs(com.xebialabs.overthere.OperatingSystemFamily os)`
  `void`
  `setStagingDirectoryPath(String stagingDirectoryPath)`
  `void`
  `setTemporaryDirectoryPath(String temporaryDirectoryPath)`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseContainer

  `getTags, setTags`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `get$directoryReference, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$validationMessages, getId, getName, getProperty, getType, hasProperty, setId, setProperty`

  ### Methods inherited from interface com.xebialabs.deployit.plugin.api.flow.StagingTarget

  `getName`

  ### Methods inherited from interface com.xebialabs.deployit.plugin.api.udm.Taggable

  `getTags, setTags`

- ## Constructor Details

  - ### Host

    public Host()

- ## Method Details

  - ### getConnection

    public com.xebialabs.overthere.OverthereConnection getConnection()
    Specified by:
      `getConnection` in interface `StagingTarget`

  - ### getHost

    public Host getHost()
    Specified by:
      `getHost` in interface `HostContainer`

  - ### getOs

    public com.xebialabs.overthere.OperatingSystemFamily getOs()

  - ### setOs

    public void setOs(com.xebialabs.overthere.OperatingSystemFamily os)

  - ### getTemporaryDirectoryPath

    public String getTemporaryDirectoryPath()

  - ### setTemporaryDirectoryPath

    public void setTemporaryDirectoryPath(String temporaryDirectoryPath)

  - ### getStagingDirectoryPath

    public String getStagingDirectoryPath()
    Specified by:
      `getStagingDirectoryPath` in interface `StagingTarget`

  - ### setStagingDirectoryPath

    public void setStagingDirectoryPath(String stagingDirectoryPath)

  - ### getShell

    public String getShell()

  - ### getSatellite

    public com.xebialabs.xlplatform.satellite.Satellite getSatellite()